## org.jfree.chart.plot.dial
Class DialPointer.Pointer

    java.lang.Object
      org.jfree.chart.plot.dial.AbstractDialLayer
          org.jfree.chart.plot.dial.DialPointer
              org.jfree.chart.plot.dial.DialPointer.Pointer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, DialLayer, org.jfree.util.PublicCloneable

Enclosing class:
  DialPointer

    public static class DialPointer.Pointer

extends DialPointer

A dial pointer.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jfree.chart.plot.dial.DialPointer
`DialPointer.Pin, DialPointer.Pointer`

Constructor Summary
`DialPointer.Pointer()` Creates a new instance.
`DialPointer.Pointer(int datasetIndex)` Creates a new instance.

Method Summary
`void` `draw(java.awt.Graphics2D g2, DialPlot plot, java.awt.geom.Rectangle2D frame, java.awt.geom.Rectangle2D view)` Draws the pointer.
`boolean` `equals(java.lang.Object obj)` Tests this pointer for equality with an arbitrary object.
`java.awt.Paint` `getFillPaint()` Returns the fill paint.
`java.awt.Paint` `getOutlinePaint()` Returns the outline paint.
`double` `getWidthRadius()` Returns the width radius.
`int` `hashCode()` Returns a hash code for this instance.
`void` `setFillPaint(java.awt.Paint paint)` Sets the fill paint and sends a `DialLayerChangeEvent` to all registered listeners.
`void` `setOutlinePaint(java.awt.Paint paint)` Sets the outline paint and sends a `DialLayerChangeEvent` to all registered listeners.
`void` `setWidthRadius(double radius)` Sets the width radius and sends a `DialLayerChangeEvent` to all registered listeners.

Methods inherited from class org.jfree.chart.plot.dial.DialPointer
`clone, getDatasetIndex, getRadius, isClippedToWindow, setDatasetIndex, setRadius`

Methods inherited from class org.jfree.chart.plot.dial.AbstractDialLayer
`addChangeListener, hasListener, isVisible, notifyListeners, removeChangeListener, setVisible`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.chart.plot.dial.DialLayer
`addChangeListener, hasListener, isVisible, removeChangeListener`

Constructor Detail

### DialPointer.Pointer

    public DialPointer.Pointer()

  Creates a new instance.

### DialPointer.Pointer

    public DialPointer.Pointer(int datasetIndex)

  Creates a new instance.

  Parameters:
    `datasetIndex` - the dataset index.

Method Detail

### getWidthRadius

    public double getWidthRadius()

  Returns the width radius.

  Returns:
    The width radius.
  See Also:
    `setWidthRadius(double)`

### setWidthRadius

    public void setWidthRadius(double radius)

  Sets the width radius and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `radius` - the radius
  See Also:
    `getWidthRadius()`

### getFillPaint

    public java.awt.Paint getFillPaint()

  Returns the fill paint.

  Returns:
    The paint (never `null`).
  Since:
    1.0.8
  See Also:
    `setFillPaint(Paint)`

### setFillPaint

    public void setFillPaint(java.awt.Paint paint)

  Sets the fill paint and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `paint` - the paint (`null` not permitted).
  Since:
    1.0.8
  See Also:
    `getFillPaint()`

### getOutlinePaint

    public java.awt.Paint getOutlinePaint()

  Returns the outline paint.

  Returns:
    The paint (never `null`).
  Since:
    1.0.8
  See Also:
    `setOutlinePaint(Paint)`

### setOutlinePaint

    public void setOutlinePaint(java.awt.Paint paint)

  Sets the outline paint and sends a `DialLayerChangeEvent` to all registered listeners.

  Parameters:
    `paint` - the paint (`null` not permitted).
  Since:
    1.0.8
  See Also:
    `getOutlinePaint()`

### draw

    public void draw(java.awt.Graphics2D g2,
                     DialPlot plot,
                     java.awt.geom.Rectangle2D frame,
                     java.awt.geom.Rectangle2D view)

  Draws the pointer.

  Parameters:
    `g2` - the graphics target.
    `plot` - the plot.
    `frame` - the dial's reference frame.
    `view` - the dial's view.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this pointer for equality with an arbitrary object.

  Overrides:
    `equals` in class `DialPointer`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code for this instance.

  Overrides:
    `hashCode` in class `DialPointer`
  Returns:
    A hash code.